Package Gnumed :: Package wxpython :: Package gui :: Module gmConfigRegistry |
[frames] | no frames]

# Module gmConfigRegistry

source code

GNUmed configuration editor.

Works quite similar to the Windows Registry editor (but is a clean-room implementation).

License: GPL

Version: $Revision: 1.43 $

Author: H.Berger, S.Hilbert, K.Hilbert

Classes
| cConfTree This wx.TreeCtrl derivative displays a tree view of configuration parameter names.
| cParamCtrl
| gmConfigEditorPanel
| gmConfigRegistry Class to load this module from an environment that wants a notebook plugin

Functions
Setup(parent) Wrapper to load this module from an environment that wants a panel | source code

Variables
| ConfigDescriptionTextID
| DescriptionBoxID
| ButtonParamRevertID
| ButtonParamApplyID
| ConfigEntryParamCtrlID
| ParamBoxID
| ConfigTreeBoxID
| ConfigTreeCtrlID

Imports: sys, os, string, types, gmCfg, gmConfigCommon, gmI18N, gmPlugin, gmGuiHelpers, gmRegetMixin, gmPerson, gmPraxis, wx